Post R5 Build 4 fixes - Added download retry to et-aircraft-app

This commit is contained in:
thetechprepper
2025-08-20 20:09:53 -07:00
parent 4930c5dc70
commit e3edc70be0
2 changed files with 4 additions and 3 deletions
+3 -3
View File
@@ -1,12 +1,14 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 9 July 2025
# Updated : 20 August 2025
# Purpose : Install et-aircraft-app
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP=et-aircraft-app
VERSION=1.0.0
@@ -18,9 +20,7 @@ if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
URL="https://github.com/thetechprepper/et-aircraft-app/releases/download/${VERSION}/${DOWNLOAD_FILE}"
et-log "Downloading ${APP}: ${URL}"
curl -s -L -o ${DOWNLOAD_FILE} --fail ${URL}
download_with_retries ${URL} ${DOWNLOAD_FILE}
mv ${DOWNLOAD_FILE} ${ET_DIST_DIR}
fi
+1
View File
@@ -1,6 +1,7 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 13 August 2025
# Updated : 20 August 2025
# Purpose : Install EmComm Tools API
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG